Subject: Re: bug#19437: Enhancement/feature request: Undo quick format
From: Phillip Susi <[email-masked]>
To: Kẏra <[email-masked]>, [email-masked]
Date: Mon, 29 Dec 2014 14:10:17 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On 12/24/2014 10:02 PM, Kẏra wrote:
> Since quick formatting a disk doesn't actually wipe the data on a
> disk, and only overwrites a small part of it, it should be possible
> to have an option to back up the portion that will be overwritten.
> That portion, although small, can be detrimental to filesystem
> recovery and a small backup of it with an undo-option could rescue
> a lot of mistakes.

This doesn't have anything to do with parted since it does not handle
formatting filesystems.